Bug 466844 - Preedit buffer remains after focus-out / focus in.
Preedit buffer remains after focus-out / focus in.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: ibus-table (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caius Chance
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks: 481098
  Show dependency treegraph
 
Reported: 2008-10-14 01:32 EDT by Caius Chance
Modified: 2009-02-04 20:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 20:47:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (689 bytes, patch)
2008-10-28 01:00 EDT, Caius Chance
no flags Details | Diff

  None (edit)
Description Caius Chance 2008-10-14 01:32:44 EDT
Description of problem:
Preedit buffer remains after focus-out / focus in. It is not user friendly when user changed cursor location and prepared to re-type the whole new combination of character.

Version-Release number of selected component (if applicable):
ibus-0.1.1.20081001-1.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. Have ibus running.
2. Focus in by ctrl-space.
3. Input a key such as 'b'.
4. Focus out and in by ctrl-space.
5. Check result.
  
Actual results:
Previous input is still in preedit buffer ('b').

Expected results:
Preedit buffer is cleared.

Additional info:
Check cangjie5, chewing for usability patterns.
Comment 1 Caius Chance 2008-10-15 23:07:00 EDT
Sorry this is not just for chewing only. This is a general feature request for all IMEs. If you restrict for just 1 input method. Please kindly change component to scim-table as I tested.
Comment 2 Caius Chance 2008-10-24 02:48:15 EDT
http://code.google.com/p/ibus/issues/detail?id=159
Comment 3 Peng Huang 2008-10-26 23:16:14 EDT
This problem has been fixed in ibus-chewing-0.1.1.20081023-1.
Comment 4 Caius Chance 2008-10-27 00:43:49 EDT
Thx phuang, please remember ibus-table-chinese, too. :)
Comment 5 Caius Chance 2008-10-28 01:00:19 EDT
Created attachment 321676 [details]
proposed patch
Comment 6 Jens Petersen 2009-01-20 20:37:53 EST
This is still true for f10 and rawhide right?
Comment 7 Caius Chance 2009-01-22 08:19:29 EST
(In reply to comment #6)
> This is still true for f10 and rawhide right?

Yes. Submitted to upstream and merged into upstream's repo.

The patch is not in f10 and rawhide yet, atm.
Comment 8 Jens Petersen 2009-01-22 18:35:32 EST
Then please move the bug to rawhide :)
Comment 9 Ding-Yi Chen 2009-01-29 22:23:56 EST
I think it is rather the user preference.

However, it is a problem that preedit buffer is not restored and shown when focus back in, which haven't been solved yet.
Comment 10 Caius Chance 2009-02-02 21:49:58 EST
(In reply to comment #9)
> I think it is rather the user preference.

Working on having user preferences in ibus-table.

> However, it is a problem that preedit buffer is not restored and shown when
> focus back in, which haven't been solved yet.

Which version you are triaging?
Comment 11 Ding-Yi Chen 2009-02-02 22:11:08 EST
Oops, I was talking about ibus-chewing. Does it also appear in ibus-table?
Comment 12 Caius Chance 2009-02-02 23:08:59 EST
Currently preedit is kept.
Comment 13 Caius Chance 2009-02-04 20:47:50 EST
applied:

http://koji.fedoraproject.org/koji/buildinfo?buildID=81466

Note You need to log in before you can comment on or make changes to this bug.